# ----------------------------------------------------------------------------
# - wbhdb-message-format-meta                                                -
# - wild cruncher: formating message for meta-data           core / bus / db -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. :module:       wbhdb_message_format_mote
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - Message meta-data saving format

.. moduleauthor:: Philippe Lambert <lambert@silkan.com>
"""

from wcr_core.db.whdb_parameter import *
from wcr_core.dbstore.wdbs_meta_type import *

WBHDB_FILE_KEY = "file"
WBHDB_NAME_KEY = "MessName"


WBHDB_MESSAGE_BASE = WdbsRecordMetaType((WBHDB_FILE_KEY,
                                         WDBS_STRING_META),
                                        (WBHDB_NAME_KEY,
                                         WDBS_STRING_META))

WBHDB_MESSAGE_FORMAT_TYPE =WdbsDictionaryMetaType(WDBS_STRING_META,
                                                  WBHDB_MESSAGE_BASE)

