
#ifndef _CETRACLIB_H_
#define _CETRACLIB_H_

/* Inclusions */
#include <stdio.h>
#include <errno.h>
#include "cetracApi.h"
#include "stdint.h"
// #include "cetracIoctl.h"

#define CETRAC_QUEUED_EVENTS_NUMBER  10

/* version de la library (reset � chque version du driver */

#define V_LIBCETRAC  0

CETRAC int32_t cetracWriteSystem(    cut_handle         fd,
                                    uint32_t        idt,
                                    uint8_t         priority,
                                    uint32_t        *buffer,
                                    uint32_t        size,
                                    uint32_t        logicalNumber,
                                    uint64_t        *prodTime,
                                    uint32_t        *internalTimer,
                                    uint32_t        *error);

CETRAC int32_t cetracReadSystem(     cut_handle         fd,
                                    uint32_t        idt,
                                    uint8_t         priority,
                                    uint32_t        *buffer,
                                    uint32_t        size,
                                    uint32_t        logicalNumber,
                                    uint64_t        *prodTime,
                                    uint32_t        *internalTimer,
                                    uint32_t        *error);

#endif  /* _CETRACLIB_H_ */
