// -------------------------------------------------------------------------------------------------
/// @file cut_types.h
/// @author PiV
/// @date 2016-2016
/// @brief The basic type for cetrac software
// -------------------------------------------------------------------------------------------------
// - CETRAC Project - cetrac util
// - copyright (c) 2015-2016 Silkan
// -------------------------------------------------------------------------------------------------

#ifndef CUT_TYPES_H
#define CUT_TYPES_H

#ifdef __cplusplus
extern "C" {
#endif

#if defined (_WIN32)
/// the signed/unsigned 8 bits types
typedef unsigned char      uint8_t;
typedef          char      int8_t;

/// the signed/unsigned 16 bits types
typedef unsigned short     uint16_t;
typedef          short     int16_t;

/// the signed/unsigned 32 bits types
typedef unsigned int       uint32_t;
typedef          int       int32_t;

/// the signed/unsigned 64 bits types
typedef unsigned long long uint64_t;
typedef          long long int64_t;



typedef void* cut_handle;

#define CUT_INLINE __inline

#else
#include <stdint.h>

typedef int cut_handle;

#define CUT_INLINE inline

#endif
typedef int                cut_bool;/* Booléen */
#ifdef __cplusplus
}
#endif

#endif
