/**
 * \file load.h
 * \brief Header file : functions which allows to load parameters of a Myddleware
 * \author HRakotomalala
 * \date 2018
 */

/* Functions : */
/* mitracSetupOpen */
/* mitracAppOpen */

#ifndef LOAD_H_
#define LOAD_H_

#include "mitracErrorCodes.h"
#include "mitracOptParse.h"
#include "mitracAppApi.h"
#include "mitracSetupApi.h"

// doLoad : mitracSetupOpen + mitracAppOpen
t_error doLoad(void **libSetup,
	       void **libApp,
	       mitracOpt mitracOption,
	       unsigned int* errorCode);

#endif // LOAD_H_
