/**
 * \file unload.h
 * \brief Header file : functions which unloads the parameters of a Myddleware
 * \author HRakotomalala
 * \date 2018
 */

/* Functions */
/* mitracSetupClose */
/* mitracAppClose */

#ifndef UNLOAD_H_
#define UNLOAD_H_

#include "mitracErrorCodes.h"
#include "mitracAppApi.h"
#include "mitracSetupApi.h"

// doUnload = mitracSetupClose + mitracAppClose
t_error doUnload(void *libSetup,
		 void *libApp,
		 unsigned int* errorCode);

#endif // UNLOAD_H_
