# ----------------------------------------------------------------------------
# - wcgui-utils                                                              -
# - wild cruncher: sys_map gui exta utility                                  -
# ----------------------------------------------------------------------------
# - author    (c) 2016-2016 Philippe lambert                                 -
# - copyright (c) 2016-2016 silkan / wild systems                            -
# ----------------------------------------------------------------------------

"""
.. module::       wcgui_utils
   :platform:     Unix, Darwin, Windows
   :synopsis:     Wild Cruncher - extra utility for sys_map view

.. moduleauthor:: Philippe Lambert <lambert@silkan.com>
"""
from wcr_frontend.gui.wgui_db_elements_dialog import WguiComboSelectionAsk


def wcgui_ask_source(data, formaF):
    diag = WguiComboSelectionAsk(data, formaF,
                                 mess="Please select the target port "
                                      "for configuration")
    diag.show()
    res = [None, None]
    if diag.exec_():
        res = diag.selection()
    return res

def wcgui_ask_arp(data):

    def formatdata(data):
        return data[0]
    diag = WguiComboSelectionAsk(data, formatdata,
                                 mess="Please indicate if the system supports "
                                      "ARP")
    diag.show()
    res = [None, None]
    if diag.exec_():
        res = diag.selection()
    return res