CETRAC_BASE = 1
CETRAC_1G = 2
CETRAC_10G = 3
CETRAC_PCI = 4
CETRAC_CAN = 5
CETRAC_Disc = 6
CETRAC_429 = 7
CETRAC_1553 = 8
CETRAC_FC = 9
CETRAC_MAXTYPES = 10

CETRAC_Names = ["    ","Base","1G","10G","PCI","CAN","Disc","429","1553","FC"]

CETRAC_Babelya_Types = [CETRAC_BASE,CETRAC_10G,CETRAC_10G,0,0,0,CETRAC_1G,CETRAC_1G,CETRAC_1G,CETRAC_1G,CETRAC_1G,CETRAC_1G,CETRAC_1G,CETRAC_1G]
CETRAC_Babelya_Display = [1,2,6,7,8,9,10,11,12,13]

# Interface elements dimensions
DATAPORT_WIDTH = 250
WINDOW_WIDTH_INIT = 700
LOG_HEIGHT_INIT = 100
LOG_HEIGHT = 200
DEVICE_BUTTON_WIDTH = 100
PORTLABEL_WIDTH = 60
PORTLABEL_HEIGHT = 60
PORTBUTTON_HEIGHT = 20
ETHSELECT_HEIGHT = 64
ETHSELECT_WIDTH = 544
ETHSELECT_OK_WIDTH = 80

CETRAC_PortType = {
0x00 : "Base Station",
0x10 : "NIOS internal",
0x11 : "Flash internal",
0x12 : "ARM",
0x13 : "Servitude",
0x20 : "PCI",
0x21 : "PCIe",
0x22 : "IO",
0x30 : "ETH 1G",
0x31 : "ETH 10G",
0x40 : "Discrete",
0x41 : "1553",
0x42 : "Fibre Channel",
0x43 : "CAN",
0x44 : "A429"
}

CETRAC_PortSpeed = {0x03 : "1 Gbps",0x05 : "100 Mbps", 0x06 : "10 Mbps",0x07 : "No link" }