/**
 * \file run_step.h
 * \brief Header file : functions which starts the functions of the Application, one for the step
 * \the other for the normal mode
 * \author HRakotomalala
 * \date 2018
 */

/* Functions : */
/* cetracWaitEvents */
/* cCetracWrite */
/* getData */
/* stepApp */
/* cCetracRead*/
/* getData */

#ifndef RUN_STEP_H_
#define RUN_STEP_H_

#include "cetracApi.h"
#include "inOutTable.h"
#include "mitracErrorCodes.h"
#include "mitracOptParse.h"
#include "mitracSetupApi.h"
#include "mitracAppApi.h"
#include "monitoring.h"
#include "monitoringParameters.h"
#include "cCetracAPI.h"

#define HARD_WR_ERR 0x10
#define HARD_RD_ERR 0x20

// write process : cCetracWrite + getData
void processWriteCard(FILE* logFile,
		   mitracOpt mitracOption);

// read process : cCetracRead + getData
void processReadCard(FILE* logFile,
		   mitracOpt mitracOption);

#endif //RUN_STEP_H_
